beamToXyzAdv {oce} | R Documentation

## Convert ADV from Beam to XYZ Coordinates

### Description

Convert ADV velocity components from a beam-based coordinate system to a xyz-based coordinate system.

### Usage

    beamToXyzAdv(x, debug = getOption("oceDebug"))

### Arguments

`x` | an object of class `"adv"`.
`debug` | a flag that, if non-zero, turns on debugging. Higher values yield more extensive debugging.

### Details

The coordinate transformation is done using the transformation matrix contained in `transformation.matrix` in the `metadata` slot, which is normally inferred from the header in the binary file. If there is no such matrix (e.g. if the data were streamed through a data logger that did not capture the header), `beamToXyzAdv` the user will need to store one in `x`, e.g. by doing something like the following:

    x[["transformation.matrix"]] <- rbind(c(11100, -5771, -5321),
                                          c( #' 291, 9716, -10002),
                                          c( 1409, 1409, 1409)) / 4096

### Author(s)

Dan Kelley

### References

http://www.nortek-as.com/lib/forum-attachments/coordinate-transformation

### See Also

See `read.adv` for notes on functions relating to `"adv"` objects.

Other things related to `adp` data: `[[,adp-method`, `[[<-,adp-method`, `adp-class`, `adpEnsembleAverage`, `adp`, `as.adp`, `beamName`, `beamToXyzAdp`, `beamToXyz`, `beamUnspreadAdp`, `binmapAdp`, `enuToOtherAdp`, `enuToOther`, `plot,adp-method`, `read.ad2cp`, `read.adp.nortek`, `read.adp.rdi`, `read.adp.sontek.serial`, `read.adp.sontek`, `read.adp`, `read.aquadoppHR`, `read.aquadoppProfiler`, `read.aquadopp`, `subset,adp-method`, `summary,adp-method`, `toEnuAdp`, `toEnu`, `velocityStatistics`, `xyzToEnuAdp`, `xyzToEnu`

[Package oce version 0.9-22 Index]